#!/bin/bash

# Creates virtual interfaces on the Spire 192.168.101/24 network
# Requires a number that is concatentated with "vm" to create the interface
# name.  Then the last quad of the interface's IP address.  Example 101.

[ $# == 2 ] || ( echo "usage: create-vm-interface.sh <VM number (1-253)> <IP address last quad (002-253)>" && exit)

sudo ip tuntap add vm$1 mode tap

sudo ip addr add 192.168.101.$2 broadcast 192.168.101.255 dev vm$1

sudo ip link set dev vm$1 up

sudo ip link set vm$1 master virbr0

sudo bash -c "echo 1 > /proc/sys/net/ipv4/conf/vm$1/proxy_arp"

ifconfig
