#hermit-run

# Script to launch the spire benchmark program using the Hermitux unikernel library
# Requires 6 arguments
# 1 - The number in the name of the virtual interface to bind to this instance (1 becomes
# vm1)
# 2 - The last quad of the IP address of the virtual interface named by the first argument (example - 102)
# 3 - The ID of the scada_master that this instance of benchmark talks to
# 4 - The last quad of the IP address of the external spines instance associated with that scada_master instance
# 5 - How often benchmark should measure latency (in microseconds)
# 6 - How many measurements before ending and printing results
#

[ $# == 6 ] || (echo "usage: start-benchmark.sh <VM number> <my IP last quad (002-253)> <Benchmark ID> <External Spine Server last quad (002-253)> <polling frequency (microsecs)> <number of polls> " && exit)

cd ../benchmark
HERMIT_VERBOSE=1 HERMIT_ISLE=uhyve HERMIT_TUX=1 \
HERMIT_NETIF=vm$1 HERMIT_IP=192.168.101.$2 HERMIT_GATEWAY=192.168.101.1 \
/opt/hermitux/hermitux-kernel/prefix/bin/proxy \
/opt/hermitux/hermitux-kernel/prefix/x86_64-hermit/extra/tests/hermitux \
./benchmark $3 192.168.101.$4:8120 $5 $6
