#hermit-run

# Script to start a data center instance of scada_master.  It differs from the 
# scada_master launch script in that it only needs the internal spines 
# information since it doesn't talk to the PLC/RTU proxies
#
# It requires 4 arguments
# 1 - The number in the name of the virtual interface  to be bound to the virtual machine (1 = vm1)
# 2 - The last quad of the IP address of the virtual machine
# 3 - The ID of this scada_master 
# 4 - The last quad of the IP address of the internal spines instance associated
#      with this dc
#

[ $# == 4 ] || (echo "usage: start-dc.sh <VM number> <My IP last quad (002-253) <SCADA_MASTER ID> <Internal Spine Server IP last quad (002-253) " && exit)

cd ../scada_master
HERMIT_VERBOSE=1 HERMIT_ISLE=uhyve HERMIT_TUX=1 \
HERMIT_NETIF=vm$1 HERMIT_IP=192.168.101.$2 HERMIT_GATEWAY=192.168.101.1 \
/opt/hermitux/hermitux-kernel/prefix/bin/proxy \
/opt/hermitux/hermitux-kernel/prefix/x86_64-hermit/extra/tests/hermitux \
./scada__master $3 192.168.101.$4:8100
